<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vr="http://www.istandaarden.nl/validatie/1_1/rapport/schema">
	<!-- iWmo 3.2 WMO315 (2022-09-30) -->

	<xsl:import href="common/basis.xsl" />
	<xsl:include href="condities/CD005.xsl" />
	<xsl:include href="condities/CD007.xsl" />
	<xsl:include href="condities/CD025.xsl" />
	<xsl:include href="condities/CD041.xsl" />
	<xsl:include href="condities/CD043.xsl" />
	<xsl:include href="condities/CD066.xsl" />
	<xsl:include href="condities/CD067.xsl" />
	<xsl:include href="condities/CD068.xsl" />
	<xsl:include href="condities/CD075.xsl" />
	<xsl:include href="condities/CD076.xsl" />
	<xsl:include href="condities/CD077.xsl" />
	<xsl:include href="condities/CD078.xsl" />
	<xsl:include href="condities/CD079.xsl" />
	<xsl:include href="condities/CD095.xsl" />
	<xsl:include href="constraints/CS002.xsl" />
	<xsl:include href="constraints/CS003.xsl" />
	<xsl:include href="constraints/CS050.xsl" />
	<xsl:include href="constraints/CS089.xsl" />
	<xsl:include href="constraints/CS139.xsl" />
	<xsl:include href="constraints/CS325.xsl" />
	<xsl:include href="constraints/CS343.xsl" />
	<xsl:include href="rules/TR002.xsl" />
	<xsl:include href="rules/TR101.xsl" />
	<xsl:include href="rules/TR134.xsl" />
	<xsl:include href="rules/TR383.xsl" />
	<xsl:include href="rules/TR386.xsl" />

	<xsl:template match="*" mode="check" priority="0">
		<xsl:apply-templates select="." mode="CD005"/>
		<xsl:apply-templates select="." mode="CD007"/>
		<xsl:apply-templates select="." mode="CD025"/>
		<xsl:apply-templates select="." mode="CD041"/>
		<xsl:apply-templates select="." mode="CD043"/>
		<xsl:apply-templates select="." mode="CD066"/>
		<xsl:apply-templates select="." mode="CD067"/>
		<xsl:apply-templates select="." mode="CD068"/>
		<xsl:apply-templates select="." mode="CD075"/>
		<xsl:apply-templates select="." mode="CD076"/>
		<xsl:apply-templates select="." mode="CD077"/>
		<xsl:apply-templates select="." mode="CD078"/>
		<xsl:apply-templates select="." mode="CD079"/>
		<xsl:apply-templates select="." mode="CD095"/>
		<xsl:apply-templates select="." mode="CS002"/>
		<xsl:apply-templates select="." mode="CS003"/>
		<xsl:apply-templates select="." mode="CS050"/>
		<xsl:apply-templates select="." mode="CS089"/>
		<xsl:apply-templates select="." mode="CS139"/>
		<xsl:apply-templates select="." mode="CS325"/>
		<xsl:apply-templates select="." mode="CS343"/>
		<xsl:apply-templates select="." mode="TR002"/>
		<xsl:apply-templates select="." mode="TR101"/>
		<xsl:apply-templates select="." mode="TR134"/>
		<xsl:apply-templates select="." mode="TR383"/>
		<xsl:apply-templates select="." mode="TR386"/>
	</xsl:template>

	<xsl:variable name="versionInfo">
		<vr:XSLTHeader>
			<vr:Standaard>iwmo</vr:Standaard>
			<vr:StandaardRelease>3.2</vr:StandaardRelease>
			<vr:XSLTVersie>2.10.5</vr:XSLTVersie>
		</vr:XSLTHeader>
	</xsl:variable>
</xsl:stylesheet>
