<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_2/wmo323/schema"
				xmlns:wmo325="http://www.istandaarden.nl/iwmo/3_2/wmo325/schema"
>

	<!-- iWmo 3.2 CD060 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD060"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD060"/>
	</xsl:template>

	<xsl:template match="wmo323:Prestatie" mode="CD060">
		<xsl:call-template name="checksame">
			<xsl:with-param name="pThis" select="wmo323:IngediendBedrag/iwmo:DebetCredit"/>
			<xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="wmo323:ProductReferentie/iwmo:VorigReferentieNummer"/>
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD060</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo325:Prestatie" mode="CD060">
		<xsl:call-template name="checksame">
			<xsl:with-param name="pThis" select="wmo325:IngediendBedrag/iwmo:DebetCredit"/>
			<xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="wmo325:ProductReferentie/iwmo:VorigReferentieNummer"/>
			<xsl:with-param name="pValue2">*</xsl:with-param>
			<xsl:with-param name="pRule">CD060</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
