<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_2/wmo301/schema"
				xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_2/wmo315/schema"
				xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_2/wmo317/schema"
>

	<!-- iWmo 3.2 CD077 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD077"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD077"/>
	</xsl:template>

	<xsl:template match="wmo301:ToegewezenProduct/wmo301:Budget" mode="CD077">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::wmo301:ToegewezenProduct/wmo301:Omvang"/>
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD077</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo315:AangevraagdProduct/wmo315:Budget" mode="CD077">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::wmo315:AangevraagdProduct/wmo315:Omvang"/>
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD077</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo317:TeWijzigenProduct/wmo317:Budget" mode="CD077">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::wmo317:TeWijzigenProduct/wmo317:Omvang"/>
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD077</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="wmo317:NieuwProduct/wmo317:Budget" mode="CD077">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pValue1">*</xsl:with-param>
			<xsl:with-param name="pOther" select="ancestor-or-self::wmo317:NieuwProduct/wmo317:Omvang"/>
			<xsl:with-param name="pValue2">!#</xsl:with-param>
			<xsl:with-param name="pRule">CD077</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
