<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_2/wmo301/schema"
				xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_2/wmo315/schema"
				xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_2/wmo317/schema"
>

	<!-- iWmo 3.2 CD079 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD079"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD079"/>
	</xsl:template>

	<xsl:template match="wmo301:ToegewezenProduct" mode="CD079">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="wmo301:Budget"/>
			<xsl:with-param name="pValue1"></xsl:with-param>
			<xsl:with-param name="pOther" select="wmo301:Product"/>
			<xsl:with-param name="pValue2">#</xsl:with-param>
			<xsl:with-param name="pExtra" select="."/>
			<xsl:with-param name="pRule">CD079</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo315:AangevraagdProduct" mode="CD079">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="wmo315:Budget"/>
			<xsl:with-param name="pValue1"></xsl:with-param>
			<xsl:with-param name="pOther" select="wmo315:Product"/>
			<xsl:with-param name="pValue2">#</xsl:with-param>
			<xsl:with-param name="pExtra" select="."/>
			<xsl:with-param name="pRule">CD079</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo317:NieuwProduct" mode="CD079">
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="wmo317:Budget"/>
			<xsl:with-param name="pValue1"></xsl:with-param>
			<xsl:with-param name="pOther" select="wmo317:Product"/>
			<xsl:with-param name="pValue2">#</xsl:with-param>
			<xsl:with-param name="pExtra" select="."/>
			<xsl:with-param name="pRule">CD079</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
