<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_2/wmo301/schema"
>

	<!-- iWmo 3.2 CD080 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD080"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD080"/>
	</xsl:template>

	<xsl:template match="wmo301:ToegewezenProduct/wmo301:Omvang" mode="CD080">
		<xsl:if test="not(ancestor-or-self::wmo301:ToegewezenProduct/wmo301:Einddatum) or number(translate(ancestor-or-self::wmo301:ToegewezenProduct/wmo301:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">#</xsl:with-param>
				<xsl:with-param name="pOther"
								select="ancestor-or-self::wmo301:ToegewezenProduct/wmo301:Product/iwmo:Code"/>
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD080</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::wmo301:ToegewezenProduct/wmo301:Einddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
