<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_2/wmo315/schema"
>

	<!-- iWmo 3.2 CD095 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD095"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD095"/>
	</xsl:template>

	<xsl:template match="wmo315:AangevraagdProduct/wmo315:Omvang" mode="CD095">
		<xsl:if test="not(ancestor-or-self::wmo315:AangevraagdProduct/wmo315:ToewijzingEinddatum) or number(translate(ancestor-or-self::wmo315:AangevraagdProduct/wmo315:ToewijzingEinddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">#</xsl:with-param>
				<xsl:with-param name="pOther"
								select="ancestor-or-self::wmo315:AangevraagdProduct/wmo315:Product/iwmo:Code"/>
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD095</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::wmo315:AangevraagdProduct/wmo315:ToewijzingEinddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
