<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_2/wmo317/schema"
>

	<!-- iWmo 3.2 CD096 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CD096"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CD096"/>
	</xsl:template>

	<xsl:template match="wmo317:NieuwProduct/wmo317:Omvang" mode="CD096">
		<xsl:if test="not(ancestor-or-self::wmo317:NieuwProduct/wmo317:Einddatum) or number(translate(ancestor-or-self::wmo317:NieuwProduct/wmo317:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">#</xsl:with-param>
				<xsl:with-param name="pOther"
								select="ancestor-or-self::wmo317:NieuwProduct/wmo317:Product/iwmo:Code"/>
				<xsl:with-param name="pValue2">*</xsl:with-param>
				<xsl:with-param name="pRule">CD096</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::wmo317:NieuwProduct/wmo317:Einddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
