<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_2/wmo301/schema"
				xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_2/wmo315/schema"
				xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_2/wmo317/schema"
>

	<!-- iWmo 3.2 CS003 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS003"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS003"/>
	</xsl:template>

	<xsl:template match="wmo301:Beschikking/wmo301:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../wmo301:Ingangsdatum"/>
			<xsl:with-param name="pRule">CS003</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo301:ToegewezenProduct/wmo301:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../wmo301:Ingangsdatum"/>
			<xsl:with-param name="pRule">CS003</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo301:Contact/wmo301:Periode/iwmo:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../iwmo:Begindatum"/>
			<xsl:with-param name="pRule">CS003</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo315:AangevraagdProduct/wmo315:ToewijzingEinddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../wmo315:ToewijzingIngangsdatum"/>
			<xsl:with-param name="pRule">CS003</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo317:TeWijzigenProduct/wmo317:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../wmo317:GewensteIngangsdatum"/>
			<xsl:with-param name="pRule">CS003</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="wmo317:NieuwProduct/wmo317:Einddatum" mode="CS003">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pOther" select="../wmo317:GewensteIngangsdatum"/>
			<xsl:with-param name="pRule">CS003</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
