<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
>

	<!-- iWmo 3.2 CS139 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS139"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS139"/>
	</xsl:template>

	<xsl:template match="*[iwmo:Datum and iwmo:DatumGebruik]" mode="CS139">
		<xsl:choose>
			<xsl:when test="iwmo:DatumGebruik = '3' and iwmo:Datum != '1900-01-01'">
				<xsl:call-template name="addError">
					<xsl:with-param name="pElements" select="iwmo:Datum | iwmo:DatumGebruik"/>
					<xsl:with-param name="pRule">
						CS139
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="iwmo:DatumGebruik = '2' and substring-after(iwmo:Datum, '-') != '01-01'">
				<xsl:call-template name="addError">
					<xsl:with-param name="pElements" select="iwmo:Datum | iwmo:DatumGebruik"/>
					<xsl:with-param name="pRule">
						CS139
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="iwmo:DatumGebruik = '1' and substring-after(substring-after(iwmo:Datum, '-'), '-') != '01'">
				<xsl:call-template name="addError">
					<xsl:with-param name="pElements" select="iwmo:Datum | iwmo:DatumGebruik"/>
					<xsl:with-param name="pRule">
						CS139
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
