<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
>
	<!-- iWmo 3.2 CS325 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS325"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS325"/>
	</xsl:template>

	<xsl:template match="*[local-name() = 'DeclaratieFactuurTotaalBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:TotaalBedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'BtwTotaalBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:TotaalBedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'BerekendBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:Bedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'BtwBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:Bedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'DeclaratieFactuurBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:Bedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'IngediendTotaalBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:TotaalBedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'ToegekendTotaalBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:TotaalBedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'GemeenteBerekendBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:Bedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'ToegekendBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:Bedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'TotaalIngediendBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:TotaalBedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'IngediendBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:Bedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="*[local-name() = 'TotaalToegekendBedrag']" mode="CS325">
		<xsl:call-template name="cs325">
			<xsl:with-param name="bedrag" select="iwmo:TotaalBedrag"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="cs325">
		<xsl:param name="bedrag"/>
		<xsl:param name="debetCredit" select="./iwmo:DebetCredit"/>

		<xsl:if test="$bedrag = 0 and (normalize-space($debetCredit) = 'c' or normalize-space($debetCredit) = 'C')">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select="$bedrag | $debetCredit"/>
				<xsl:with-param name="pRule">
					CS325
				</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
