<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo301="http://www.istandaarden.nl/iwmo/3_2/wmo301/schema"
				xmlns:wmo317="http://www.istandaarden.nl/iwmo/3_2/wmo317/schema"
>

	<!-- iWmo 3.2 CS338 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS338"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS338"/>
	</xsl:template>

	<xsl:template match="wmo301:ToegewezenProduct//wmo301:Omvang/iwmo:Eenheid" mode="CS338">
		<xsl:if test="not(ancestor-or-self::wmo301:ToegewezenProduct/wmo301:Einddatum) or number(translate(ancestor-or-self::wmo301:ToegewezenProduct/wmo301:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">14,16,83,84</xsl:with-param>
				<xsl:with-param name="pOther" select="../iwmo:Frequentie"/>
				<xsl:with-param name="pValue2">2,4,6</xsl:with-param>
				<xsl:with-param name="pRule">CS338</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::wmo301:ToegewezenProduct/wmo301:Einddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

	<xsl:template match="wmo317:TeWijzigenProduct//wmo317:Omvang/iwmo:Eenheid" mode="CS338">
		<xsl:if test="not(ancestor-or-self::wmo317:TeWijzigenProduct/wmo317:Einddatum) or number(translate(ancestor-or-self::wmo317:TeWijzigenProduct/wmo317:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">14,16,83,84</xsl:with-param>
				<xsl:with-param name="pOther" select="../iwmo:Frequentie"/>
				<xsl:with-param name="pValue2">2,4,6</xsl:with-param>
				<xsl:with-param name="pRule">CS338</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::wmo317:TeWijzigenProduct/wmo317:Einddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template match="wmo317:NieuwProduct//wmo317:Omvang/iwmo:Eenheid" mode="CS338">
		<xsl:if test="not(ancestor-or-self::wmo317:NieuwProduct/wmo317:Einddatum) or number(translate(ancestor-or-self::wmo317:NieuwProduct/wmo317:Einddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">14,16,83,84</xsl:with-param>
				<xsl:with-param name="pOther" select="../iwmo:Frequentie"/>
				<xsl:with-param name="pValue2">2,4,6</xsl:with-param>
				<xsl:with-param name="pRule">CS338</xsl:with-param>
				<xsl:with-param name="pExtra" select="ancestor-or-self::wmo317:NieuwProduct/wmo317:Einddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
