<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_2/wmo323/schema"
>

	<!-- iWmo 3.2 CS340 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS340"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS340"/>
	</xsl:template>

	<xsl:template match="wmo323:DeclaratiePeriode" mode="CS340">
		<xsl:if test="substring-after(substring-after(iwmo:Begindatum, '-'), '-') != '01'">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select="iwmo:Begindatum"/>
				<xsl:with-param name="pRule">CS340</xsl:with-param>
			</xsl:call-template>
		</xsl:if>

		<xsl:variable name="vAdjustedDay">
			<xsl:call-template name="addDate">
				<xsl:with-param name="pDate" select="iwmo:Einddatum/text()"/>
				<xsl:with-param name="pExtra">1</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="vAdjustedMonth">
			<xsl:call-template name="addMonths">
				<xsl:with-param name="pDate" select="iwmo:Begindatum/text()"/>
				<xsl:with-param name="pExtra">1</xsl:with-param>
			</xsl:call-template>
		</xsl:variable>
		<xsl:if test="$vAdjustedDay != $vAdjustedMonth">
			<xsl:call-template name="addError">
				<xsl:with-param name="pElements" select="iwmo:Begindatum | iwmo:Einddatum"/>
				<xsl:with-param name="pRule">CS340</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
