<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_2/wmo315/schema"
>

	<!-- iWmo 3.2 CS343 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="CS343"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="CS343"/>
	</xsl:template>

	<xsl:template match="wmo315:AangevraagdProduct//wmo315:Omvang/iwmo:Eenheid" mode="CS343">
		<xsl:if test="not(ancestor-or-self::wmo315:AangevraagdProduct/wmo315:ToewijzingEinddatum) or number(translate(ancestor-or-self::wmo315:AangevraagdProduct/wmo315:ToewijzingEinddatum/text(), '-', '')) &gt; 20201231">
			<xsl:call-template name="checkimplication">
				<xsl:with-param name="pValue1">14,16,83,84</xsl:with-param>
				<xsl:with-param name="pOther" select="../iwmo:Frequentie"/>
				<xsl:with-param name="pValue2">2,4,6</xsl:with-param>
				<xsl:with-param name="pRule">CS343</xsl:with-param>
				<xsl:with-param name="pExtra"
								select="ancestor-or-self::wmo315:AangevraagdProduct/wmo315:ToewijzingEinddatum"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
