<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_2/wmo323/schema"
				xmlns:wmo325="http://www.istandaarden.nl/iwmo/3_2/wmo325/schema"
>

	<!-- iWmo 3.2 TR137 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR137"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR137"/>
	</xsl:template>

	<xsl:template match="wmo323:DeclaratiePeriode" mode="TR137">
		<xsl:call-template name="TR137"/>
	</xsl:template>

	<xsl:template match="wmo323:ProductPeriode" mode="TR137">
		<xsl:call-template name="TR137"/>
	</xsl:template>

	<xsl:template match="wmo325:ProductPeriode" mode="TR137">
		<xsl:call-template name="TR137"/>
	</xsl:template>

	<xsl:template name="TR137">
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis" select="iwmo:Einddatum"/>
			<xsl:with-param name="pOther" select="iwmo:Begindatum"/>
			<xsl:with-param name="pRule">TR137</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="checkafter">
			<xsl:with-param name="pThis"
							select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'DeclaratieFactuurIdentificatie']/*[local-name() = 'FactuurDagtekening'] |
				ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
			<xsl:with-param name="pOther" select="iwmo:Einddatum"/>
			<xsl:with-param name="pRule">TR137</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
</xsl:stylesheet>
