<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_2/wmo323/schema"
>

	<!-- iWmo 3.2 TR315 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR315"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR315"/>
	</xsl:template>

	<xsl:template match="wmo323:ProductReferentie" mode="TR315">
		<xsl:variable name="vVorigReferentieNummer" select="normalize-space(iwmo:VorigReferentieNummer/text())"/>
		<xsl:variable name="vSelf" select="iwmo:VorigReferentieNummer"/>

		<xsl:for-each select="
				ancestor-or-self::wmo323:Prestatie/preceding-sibling::wmo323:Prestatie/wmo323:ProductReferentie/iwmo:VorigReferentieNummer[text() = $vVorigReferentieNummer] |
				ancestor-or-self::wmo323:Client/preceding-sibling::wmo323:Client/wmo323:Prestaties/wmo323:Prestatie/wmo323:ProductReferentie/iwmo:VorigReferentieNummer[text() = $vVorigReferentieNummer]
				">
			<xsl:call-template name="checkvalue">
				<xsl:with-param name="pValues">!#</xsl:with-param>
				<xsl:with-param name="pRule">TR315</xsl:with-param>
				<xsl:with-param name="pExtra" select="$vSelf"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
