<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo323="http://www.istandaarden.nl/iwmo/3_2/wmo323/schema"
>

	<!-- iWmo 3.2 TR358 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR358"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR358"/>
	</xsl:template>

	<xsl:template match="wmo323:TotaalIngediendBedrag" mode="TR358">
		<xsl:variable name="vTotaalDebet"
					  select="sum(ancestor-or-self::wmo323:Declaratie/wmo323:Clienten/wmo323:Client/wmo323:Prestaties/wmo323:Prestatie/wmo323:IngediendBedrag[iwmo:DebetCredit/text() = 'D']/iwmo:Bedrag)"/>
		<xsl:variable name="vTotaalCredit"
					  select="sum(ancestor-or-self::wmo323:Declaratie/wmo323:Clienten/wmo323:Client/wmo323:Prestaties/wmo323:Prestatie/wmo323:IngediendBedrag[iwmo:DebetCredit/text() = 'C']/iwmo:Bedrag)"/>

		<xsl:variable name="vSaldo" select="$vTotaalDebet - $vTotaalCredit"/>

		<!-- Controleren of BtwTotaalBedrag overeenkomt met saldo BtwBedragen -->
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="iwmo:DebetCredit"/>
			<xsl:with-param name="pValue1">D</xsl:with-param>
			<xsl:with-param name="pOther" select="iwmo:TotaalBedrag"/>
			<xsl:with-param name="pValue2">
				<xsl:call-template name="formatNumber">
					<xsl:with-param name="pValue" select="$vSaldo"/>
				</xsl:call-template>
			</xsl:with-param>
			<xsl:with-param name="pExtra"
							select="ancestor-or-self::wmo323:Declaratie/wmo323:Clienten/wmo323:Client/wmo323:Prestaties/wmo323:Prestatie/wmo323:IngediendBedrag"/>
			<xsl:with-param name="pRule">TR358</xsl:with-param>
		</xsl:call-template>

		<!-- In het geval van Credit moet het bedrag negatief worden gemaakt -->
		<xsl:call-template name="checkimplication">
			<xsl:with-param name="pThis" select="iwmo:DebetCredit"/>
			<xsl:with-param name="pValue1">C</xsl:with-param>
			<xsl:with-param name="pOther" select="iwmo:TotaalBedrag"/>
			<xsl:with-param name="pValue2">
				<xsl:call-template name="formatNumber">
					<xsl:with-param name="pValue" select="0 - 1 * $vSaldo"/>
				</xsl:call-template>
			</xsl:with-param>
			<xsl:with-param name="pExtra"
							select="ancestor-or-self::wmo323:Declaratie/wmo323:Clienten/wmo323:Client/wmo323:Prestaties/wmo323:Prestatie/wmo323:IngediendBedrag"/>
			<xsl:with-param name="pRule">TR358</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
