<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_2/wmo315/schema"
>

	<!-- iWmo 3.2 TR383 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR383"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR383"/>
	</xsl:template>

	<xsl:template match="wmo315:AangevraagdProduct" mode="TR383">
		<xsl:variable name="vVorigReferentieAanbieder" select="normalize-space(wmo315:ReferentieAanbieder/text())"/>
		<xsl:variable name="vSelf" select="wmo315:VorigReferentieNummer"/>

		<xsl:for-each select="
		ancestor-or-self::wmo315:AangevraagdProduct/preceding-sibling::wmo315:AangevraagdProduct/wmo315:ReferentieAanbieder[text() = $vVorigReferentieAanbieder]
		">
			<xsl:call-template name="checkvalue">
				<xsl:with-param name="pValues">!#</xsl:with-param>
				<xsl:with-param name="pRule">TR383</xsl:with-param>
				<xsl:with-param name="pExtra" select="$vSelf"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
