<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:iwmo="http://www.istandaarden.nl/iwmo/3_2/basisschema/schema"
				xmlns:wmo315="http://www.istandaarden.nl/iwmo/3_2/wmo315/schema"
>

	<!-- iWmo 3.2 TR386 version 2.10.5 (2022-09-30) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR386"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR386"/>
	</xsl:template>

	<xsl:template match="wmo315:AangevraagdProduct" mode="TR386">
		<xsl:call-template name="TR386"/>
	</xsl:template>

	<xsl:template name="TR386">
		<xsl:param name="pThis" select="."/>
		<xsl:param name="pList" select="preceding-sibling::*"/>

		<xsl:for-each select="$pList">

			<xsl:if test="(
	            	(
				 		($pThis/wmo315:Product/iwmo:Code and current()/wmo315:Product/iwmo:Code and $pThis/wmo315:Product/iwmo:Code = current()/wmo315:Product/iwmo:Code) and
	             		($pThis/wmo315:Product/iwmo:Categorie and current()/wmo315:Product/iwmo:Categorie and $pThis/wmo315:Product/iwmo:Categorie = current()/wmo315:Product/iwmo:Categorie)
	            	) or
	            	(
	             		(not($pThis/wmo315:Product/iwmo:Code) or not(current()/wmo315:Product/iwmo:Code)) and
	            		($pThis/wmo315:Product/iwmo:Categorie and current()/wmo315:Product/iwmo:Categorie and $pThis/wmo315:Product/iwmo:Categorie = current()/wmo315:Product/iwmo:Categorie)
	            	) or
	            	(
	             		(not($pThis/wmo315:Product/iwmo:Code) and not($pThis/wmo315:Product/iwmo:Categorie)) or
	             		(not(current()/wmo315:Product/iwmo:Code) and not(current()/wmo315:Product/iwmo:Categorie))
	            	)
	            )">
				<!-- RFC iWmo 2021-001 -->
				<xsl:variable name="thisIsHulpmiddel">
					<xsl:call-template name="testvalue">
						<xsl:with-param name="pElement" select="$pThis/wmo315:Product/iwmo:Categorie"/>
						<xsl:with-param name="pValues">11, 12, 13, 14</xsl:with-param>
					</xsl:call-template>
				</xsl:variable>
				<xsl:variable name="otherIsHulpmiddel">
					<xsl:call-template name="testvalue">
						<xsl:with-param name="pElement" select="current()/wmo315:Product/iwmo:Categorie"/>
						<xsl:with-param name="pValues">11, 12, 13, 14</xsl:with-param>
					</xsl:call-template>
				</xsl:variable>
				<xsl:variable name="isOverlay">
					<xsl:call-template name="isPeriodOverlay">
						<xsl:with-param name="pThis" select="$pThis"/>
						<xsl:with-param name="pOther" select="current()"/>
						<xsl:with-param name="pStartField">ToewijzingIngangsdatum</xsl:with-param>
						<xsl:with-param name="pEindField">ToewijzingEinddatum</xsl:with-param>
					</xsl:call-template>
				</xsl:variable>
				<xsl:if test="$thisIsHulpmiddel != 'true' and $otherIsHulpmiddel != 'true' and $isOverlay = 'true'">
					<xsl:call-template name="addError">
						<xsl:with-param name="pElements" select="$pThis | current()"/>
						<xsl:with-param name="pRule">TR386</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
